/* idwin - identify windows type through 135/tcp
 *
 * Written by Jacek Lipkowski sq5bpf @ andra.com.pl
 *
 */

#include <stdio.h>
#include "libidwin.h"

int
main (int argc, char **argv)
{

  int ver;
  int vuln;
  if (argc != 2)
    {
      printf ("usage: %s ip_address\n", argv[0]);
      exit (1);
    }

  ver = get_win_ver (argv[1]);
  switch (ver)
    {
    case IDENT_WINXP:
      printf ("Windows XP or 2003 ");
      break;
    case IDENT_WIN2000:
      printf ("Windows 2000 ");
      break;
    case IDENT_WINNT4:
      printf ("Windows NT4 ");
      break;
    case IDENT_WIN2003:
/* not supported yet, libidwin identifies 2003 as XP */
      printf ("Windows 2003 ");
      break;
    case IDENT_UNKNOWN:
      printf ("Windows unknown version ");
      break;

    case IDENT_FAIL:
      printf ("Fingerprinting failed\n");
      exit (1);
      break;
    }

  vuln = get_dcom_vuln (argv[1]);
  switch (vuln)
    {
    case DCOMVULN_TRUE:
      printf ("vulnerable");
      break;
    case DCOMVULN_FALSE:
      printf ("ok");
      break;
    case DCOMVULN_UNKNOWN:
      printf ("unknown");
      break;
    case DCOMVULN_FAIL:
      printf ("error");
    }
  printf ("\n");

}
